// ti994.c - TI-99/4 Emulator
//
// Copyright (c) 2001, Timothy M. Stark
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
// TIMOTHY M STARK BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
// Except as contained in this notice, the name of Timothy M Stark shall not
// be used in advertising or otherwise to promote the sale, use or other 
// dealings in this Software without prior written authorization from
// Timothy M Stark.

#include "ti99/defs.h"

#define TI994_KEY      "TI99/4"
#define TI994_NAME     "TI-99/4 Home Computer Emulator"
#define TI994A_KEY     "TI99/4A"
#define TI994A_NAME    "TI-99/4A Home Computer Emulator"
#define TI994X_VERSION "v0.1 (Pre-Alpha)"

// ********************************************************

void *ti994_Create(MAP_DEVICE *nmap, MAP_DEVICE *map, int argc, char **argv)
{
}

DEVINFO ti99_System_994 =
{
	TI994_KEY,
	TI994_NAME,
	TI994X_VERSION,
	NULL,
	DF_USE,
	DT_PROCESSOR,

	NULL, NULL, NULL,

	// Function Calls
	ti994_Create,    // Create Routine
	NULL,            // Delete Routine
	NULL,            // Setup Routine
	NULL,            // Reset Routine
	NULL,            // Attach Routine
	NULL,            // Detach Routine
	NULL,            // Info Routine
	NULL,            // Boot Routine
	NULL,            // Execute Routine
//	NULL,            // Debug Routine
};

DEVINFO ti99_System_994A =
{
	TI994A_KEY,      // Key (Device Type) Name
	TI994A_NAME,     // Emulator Name
	TI994X_VERSION,  // Emulator Version
	NULL,            // Listing of Devices
	DF_USE,          // Device Flags
	DT_PROCESSOR,    // Device Type

	// Commands
	NULL, NULL, NULL,

	// Function Calls
	ti994_Create,    // Create Routine
	NULL,            // Delete Routine
	NULL,            // Setup Routine
	NULL,            // Reset Routine
	NULL,            // Attach Routine
	NULL,            // Detach Routine
	NULL,            // Info Routine
	NULL,            // Boot Routine
	NULL,            // Execute Routine
//	NULL,            // Debug Routine
};
